StarObjectSmallGraphic.cxx File Reference documentation

Classes | Namespaces | Functions
StarObjectSmallGraphic.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <memory>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "STOFFGraphicShape.hxx"`
`#include "STOFFGraphicStyle.hxx"`
`#include "STOFFListener.hxx"`
`#include "STOFFSubDocument.hxx"`
`#include "STOFFTextListener.hxx"`
`#include "StarAttribute.hxx"`
`#include "StarBitmap.hxx"`
`#include "StarFileManager.hxx"`
`#include "StarGraphicStruct.hxx"`
`#include "StarObject.hxx"`
`#include "StarObjectChart.hxx"`
`#include "StarObjectMath.hxx"`
`#include "StarObjectSmallText.hxx"`
`#include "StarObjectText.hxx"`
`#include "StarItemPool.hxx"`
`#include "StarState.hxx"`
`#include "StarZone.hxx"`
`#include "StarObjectSmallGraphic.hxx"`

## Classes
class | StarObjectSmallGraphicInternal::GluePoint
| Internal: virtual class to store a glue point. More...
class | StarObjectSmallGraphicInternal::OutlinerParaObject
| Internal: virtual class to store a outliner paragraph object. More...
struct | StarObjectSmallGraphicInternal::OutlinerParaObject::Zone
| small struct use to define a Zone: v<=3 More...
class | StarObjectSmallGraphicInternal::SubDocument
| Internal: the subdocument of a StarObjectSmallGraphic. More...
class | StarObjectSmallGraphicInternal::Graphic
| Internal: virtual class to store a graphic. More...
class | StarObjectSmallGraphicInternal::SdrGraphic
| Internal: virtual class to store a Sdr graphic. More...
class | StarObjectSmallGraphicInternal::SdrGraphicAttribute
| Internal: virtual class to store a Sdr graphic attribute. More...
class | StarObjectSmallGraphicInternal::SdrGraphicGroup
| Internal: virtual class to store a Sdr graphic group. More...
class | StarObjectSmallGraphicInternal::SdrGraphicText
| Internal: virtual class to store a Sdr graphic text. More...
class | StarObjectSmallGraphicInternal::SdrGraphicRect
| Internal: virtual class to store a Sdr graphic rectangle. More...
class | StarObjectSmallGraphicInternal::SdrGraphicCaption
| Internal: virtual class to store a Sdr graphic caption. More...
class | StarObjectSmallGraphicInternal::SdrGraphicCircle
| Internal: virtual class to store a Sdr graphic circle. More...
class | StarObjectSmallGraphicInternal::SdrGraphicEdge
| Internal: virtual class to store a Sdr graphic edge. More...
struct | StarObjectSmallGraphicInternal::SdrGraphicEdge::Information
| the information record More...
class | StarObjectSmallGraphicInternal::SdrGraphicGraph
| Internal: virtual class to store a Sdr graphic graph. More...
class | StarObjectSmallGraphicInternal::SdrGraphicMeasure
| Internal: virtual class to store a Sdr graphic edge. More...
class | StarObjectSmallGraphicInternal::SdrGraphicOLE
| Internal: virtual class to store a Sdr graphic OLE. More...
class | StarObjectSmallGraphicInternal::SdrGraphicPage
| Internal: virtual class to store a Sdr graphic page. More...
class | StarObjectSmallGraphicInternal::SdrGraphicPath
| Internal: virtual class to store a Sdr graphic path. More...
class | StarObjectSmallGraphicInternal::SdrGraphicUno
| Internal: virtual class to store a Sdr graphic uno. More...
class | StarObjectSmallGraphicInternal::SDRUserData
| Internal: virtual class to store a user data. More...
class | StarObjectSmallGraphicInternal::SCHUGraphic
| Internal: virtual class to store a SCHU graphic. More...
class | StarObjectSmallGraphicInternal::SDUDGraphic
| Internal: virtual class to store a SDUD graphic. More...
class | StarObjectSmallGraphicInternal::SDUDGraphicAnimation
| Internal: virtual class to store a SDUD graphic animation. More...
struct | StarObjectSmallGraphicInternal::State
| Internal: the state of a StarObjectSmallGraphic. More...

## Namespaces
namespace | StarObjectSmallGraphicInternal
| Internal: the structures of a StarObjectSmallGraphic.

## Functions
std::ostream & | operator<< (std::ostream &o, StarObjectSmallGraphic const &graphic)

## Function Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | o,
|  | StarObjectSmallGraphic const & | graphic )